
{% if block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_TEXT') %}
    {% if block.showOnlyMobile %}
        <div class="hidden-sm hidden-md hidden-lg">
    {% elseif block.hideOnMobile %}
        <div class="hidden-xs">
    {% endif %}
    {{ block.content | raw }}
    {% if block.showOnlyMobile or block.hideOnMobile %}
        </div>
    {% endif %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_IMAGE') %}
{% if block.showOnlyMobile %}
        <div class="hidden-sm hidden-md hidden-lg">
    {% elseif block.hideOnMobile %}
        <div class="hidden-xs">
    {% endif %}
    <img src="{{ asset('media/images/')~block.image.filename}}"
         alt="{{ block.image.description}}" style="{% if block.preserveWidth %}width{% else %}max-width{% endif %}: 100%">
     {% if block.showOnlyMobile or block.hideOnMobile %}
        </div>
    {% endif %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_EVENTS') %}
    {% set inversed = 0 %}
    <div class="row">
        <div class="col-xs-11 col-sm-10 col-sm-offset-1">
            <ul class="timeline">
                {% for event in events %}
                    <li {% if inversed %}class="timeline-inverted" {% set inversed = 0 %} {% else %}{% set inversed = 1 %}{% endif %}>
                        {% if event.poll and not event.date %}
                            <div class="timeline-badge primary"><i class="fa fa-question-circle"></i></div>
                        {% elseif event.past %}
                            <div class="timeline-badge success"><i class="fa fa-check-square-o"></i></div>
                        {% else %}
                            <div class="timeline-badge"><i class="fa fa-square-o"></i></div>
                        {% endif %}
                        <div class="timeline-panel">
                            <div class="timeline-heading">
                                <h2 class="timeline-title pinkColor">{{ event.title }}</h2>
                                <p>
                                    <small class="event-date">
                                        <i class="glyphicon glyphicon-calendar"></i> {{ event.date|date('d-m-Y') }}
                                    </small>
                                </p>
                            </div>
                            <div class="timeline-body">
                                <p>{{ event.description|raw }}</p>
                            </div>
                        </div>
                    </li>
                {% endfor %}
            </ul>
        </div>
    </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CALENDAR') %}
     {#<h2 class="pinkBackColor">Prochains événements</h2>#}
    <h2 class="pinkBackColor {% if block.hideOnMobile %}hidden-xs{% endif %} {% if block.showOnlyMobile %}hidden-sm hidden-md hidden-lg{% endif %}">Prochains événements</h2>
     {% set eventBreak = 0 %}
     {% if calendar|length > 0 %}
        <div class="row {% if block.hideOnMobile %}hidden-xs{% endif %} {% if block.showOnlyMobile %}hidden-sm hidden-md hidden-lg{% endif %}">
            <div class="col-xs-12">
            {% set calendarPage = site_helper.getCalendar() %}
            {% for event in calendar if eventBreak < 2 %}
                {% set eventBreak = eventBreak + 1 %}
                <div id="events" class="col-xs-12 col-md-12 panel-calendar citizenPanelClick" data-link="{{ calendarPage ? path('view_page', {'name': calendarPage.name})~'#'~event.id }}">
                    <div class="row">
                        <div class="col-xs-6 title-calendar">
                                <h4 class="pinkColor">
                                <i class="glyphicon glyphicon-calendar" style="font-size:1.5em;"></i> {{ event.date|localizeddate('none', 'none', 'fr', null, 'EEEE d MMMM Y') }} à {{ event.hour }}<br>
                                </h4>
                        </div>
                        <div class="col-xs-6 info-calendar linkColor">
                            <h4><i class="fa fa-2x fa-map-marker"></i> {{ event.place }}</h4>
                        </div>
                        <div class="col-xs-12"><h3 class="blueColor">{{ event.title }}</h3></div>
                    </div>
                </div>
            {% endfor %}
            </div>
        </div>
    {% endif %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_ALL_CALENDAR') %}

     {% if calendar|length == 1 %}
     <h1>Prochain événement<span style="text-align: right"> <img src="{{ asset('bundles/app/images/calendar.png') }}"
         alt="Tramway rose" style="max-width: 25%"></span></h1>
     {% elseif calendar|length > 1 %}
     <h1>Prochains événements<span style="text-align: right"> <img src="{{ asset('bundles/app/images/calendar.png') }}"
         alt="Tramway rose" style="max-width: 25%"></span></h1>
     {% else %}
     <h1>Aucun événement prévu<span style="text-align: right"> <img src="{{ asset('bundles/app/images/calendar.png') }}"
         alt="Tramway rose" style="max-width: 25%"></span></h1>
     {% endif %}
     <div class="row ignore-padding">
     {% if calendar|length > 0 %}
    {% for event in calendar %}
          <div id="{{ event.id }}" class="col-xs-12 panel-all-calendar">
            <div class="row">
                <div class="col-xs-6 title-all-calendar">
                    <h4 class="pinkColor">
                            <i class="glyphicon glyphicon-calendar" style="font-size:1.5em;"></i> {{ event.date|localizeddate('none', 'none', 'fr', null, 'EEEE d MMMM Y') }} à {{ event.hour }}</i><br>
                            <i class="fa fa-2x fa-map-marker"></i> {{ event.place }}
                    </h4>
                    <h3 class="blueColor">{{ event.title }}</h3>
                </div>
                <div class="col-xs-6 info-all-calendar">{{ event.description|raw }}</div>
            </div>
        </div>
        {% endfor %}
    </div>
    {% endif %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CANDIDATE_RESULT') %}
<div>
{%  set comment = 1 %}
{% include 'AppBundle:User/Candidate:results.html.twig' %}
</div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_DOCS') %}
{#<div class="col-sm-4 column">#}

{#</div>#}
<h3 class="blueBackColor">Documents publics</h3>
    {% include 'AppBundle:Site:documents.html.twig' %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CONTACT') %}
    <div id="formulaire">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        {% if step == 2 %}
            {% set stepTitle = 'Étape 2 > Mot de passe' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:confirmSubscription.html.twig' %}
        {% elseif step == 1 %}
            {% set stepTitle = 'Étape 1 > Vos informations' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:formSubscription.html.twig' %}
        {% endif %}
        {{ form_widget(form._token) }}
        {{ form_end(form, {'render_rest': false}) }}
    </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CANDIDATE_SPONSOR') %}
    <div id="formulaire">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        {% if step == 2 %}
            {% set stepTitle = 'Étape 2 > Je propose la candidature de ' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:formSubscription.html.twig' %}
        {% elseif step == 1 %}
            {% set stepTitle = 'Étape 1 > Je suis' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:formSubscription.html.twig' %}
        {% endif %}
        {{ form_widget(form._token) }}
        {{ form_end(form, {'render_rest': false}) }}
    </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CANDIDATE') %}
    <div id="formulaire">
        {{ form_start(form) }}
        {{ form_errors(form) }}
        {% if step == 2 %}
            {% set stepTitle = 'Étape 2 > Confirmation' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:confirmSubscription.html.twig' %}
        {% elseif step == 1 %}
            {% set stepTitle = 'Étape 1 > Je suis volontaire' %}
            {% set sectionTemplate = 'AppBundle::_panelBlueTemplate.html.twig' %}
            {% include 'AppBundle:User/Subscription:formSubscription.html.twig' %}
        {% endif %}
        {{ form_widget(form._token) }}
        {{ form_end(form, {'render_rest': false}) }}
    </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_POSTS') %}

<h2 class="pinkBackColor" id="actualites">Dernières actualités</h2>

<div class="col-xs-12">
{% include 'AppBundle:Site:posts.html.twig' %}

    {% if more %}
        <a href="{{ path('view_page', {'name': 'actualites', 'options': more}) }}"
                       class="pull-right btn btn-primary">Plus ...</a>
    {% endif %}
    </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_POSTS_LAST') %}
    {% for post in posts %}
        <div class="post-citoyen" style="float:none">
            {% include 'AppBundle:Site:thumbnail.html.twig' %}
        </div>
    {% endfor %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_POSTS_ALL') %}
{% include 'AppBundle:Site:posts.html.twig' %}
    {% if posts is defined and posts.nbResults is defined %}
        <div class="row text-center">
            <div class="pagerfanta">
                {{ pagerfanta(posts, 'twitter_bootstrap3_translated', {'pageParameter':'[postPage]'}) }}
            </div>
        </div>
    {% endif %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_JOINUS') %}
        <div class="{% if page|default(null) and page.color %}{{ page.color~'LinkColor'}}{% else %}blueLinkColor{% endif %} linkColor
        {% if block.showOnlyMobile %} hidden-sm hidden-md hidden-lg{% endif %}
        {% if block.hideOnMobile %} hidden-xs{% endif %}">
            <br>
            {% if site %}
            <span class="hidden-sm hidden-md hidden-lg">
                    <a href="{{ url('view_page', {'name': 'actualites'}) }}">
                    <img src="{{ asset('media/images/')~site.logo.filename }}"
                                             alt="{{ site.logo.description }}" style="max-height: 50px">
                    </a>
                </span>
                {% endif %}
            <span>Rejoignez-nous:<br><a href="{{ path('public_contact') }}">S'inscrire</a></span>
                                {% if site.twitter %}
                                <span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.twitter : '' }}" target="_blank"><i class="fa fa-twitter"></i></a></span>
                                {% endif %}
                                {% if site.instagram %}
                                <span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.instagram : '' }}" target="_blank"><i class="fa fa-instagram"></i></a></span>
                                {% endif %}
                                {% if site.facebook %}
                                <span class="pull-right" style="font-size: 2.5em"> <a href="{{ site ? site.facebook : '' }}" target="_blank"><i class="fa fa-facebook-square"></i></a></span>
                                {% endif %}


        </div>
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_PROJECT') %}
        {% include 'AppBundle:Site:project.html.twig' %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_PROJECT_MENU') %}
        {% include 'AppBundle:Site:project_menu.html.twig' %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_PROPOSAL') %}
        {% include 'AppBundle:Content/Proposal:proposal_block.html.twig' %}
{% elseif block.type == constant('AppBundle\\Entity\\Site\\Block::TYPE_CANDIDATES') %}
        {% include 'AppBundle:Site:candidates.html.twig' %}
{% endif %}